## arachne-pnr 0.1%2B20160813git52e69ed

=== debian/changelog ===
arachne-pnr (0.1+20160813git52e69ed-1) unstable; urgency=low

  * New upstream version
  * debian/man/arachne-pnr.txt: Describe new command line switch
  * debian/patches/0006-Fixed-spelling.patch: Fixed minor spelling error
  * debian/control:
    - New standards 3.9.8 - no changes
    - Fixed spelling error in description
  * Patches now being generated by gbp pq

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 23 Sep 2016 06:59:03 +0200

arachne-pnr (0.1+20151224git1a4fdf9-1) unstable; urgency=medium

  * New upstream version
    - Fixes FTBFS (Closes: #816579)
  * d/rules: Minor typo fix
  * d/patches/05_prevent_dependency_on_git.patch:
    - Set VER and GIT_REV explicitly

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 03 Mar 2016 23:55:14 +0100

arachne-pnr (0~20150927gitefdb026-2) unstable; urgency=medium

  [ Eduard Sanou ]
  * Set changelog date to UTC with LC_ALL=C to make man pages reproducible.
    (Closes: #815082)

  [ Ruben Undheim ]
  * d/control:
    - Fix typo in short description. (Closes: #814370)
    - Standards to 3.9.7 - no needed changes
  * d/copyright: Updated copyright years

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 19 Feb 2016 17:37:07 +0100
