## arachne-pnr 0.1+20151224git1a4fdf9

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,15 @@
 .PHONY: all
 all: bin/arachne-pnr share/arachne-pnr/chipdb-1k.bin share/arachne-pnr/chipdb-8k.bin
 
-bin/arachne-pnr: src/arachne-pnr.o src/netlist.o src/blif.o src/pack.o src/place.o src/util.o src/io.o src/route.o src/chipdb.o src/location.o src/configuration.o src/line_parser.o src/pcf.o src/global.o src/constant.o src/designstate.o
+VER = 0.1+$(shell echo `git log --oneline | wc -l`)+$(shell echo `git diff --name-only HEAD | wc -l`)
+GIT_REV = $(shell git rev-parse --verify --short HEAD)
+
+VER_HASH = $(shell echo "$(VER) $(GIT_REV)" | sum | cut -d ' ' -f -1)
+
+src/version_$(VER_HASH).cc:
+	echo "const char *version_str = \"arachne-pnr $(VER) (git sha1 $(GIT_REV), $(notdir $(CXX)) `$(CXX) --version | tr ' ()' '\n' | grep '^[0-9]' | head -n1` $(filter -f% -m% -O% -DNDEBUG,$(CXXFLAGS)))\";" > src/version_$(VER_HASH).cc
+
+bin/arachne-pnr: src/arachne-pnr.o src/netlist.o src/blif.o src/pack.o src/place.o src/util.o src/io.o src/route.o src/chipdb.o src/location.o src/configuration.o src/line_parser.o src/pcf.o src/global.o src/constant.o src/designstate.o src/version_$(VER_HASH).o
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
 
 share/arachne-pnr/chipdb-1k.bin: bin/arachne-pnr $(ICEBOX)/chipdb-1k.txt
@@ -41,6 +49,8 @@
 	./tests/test_us
 	cd tests/simple && ICEBOX=$(ICEBOX) bash run-test.sh
 	cd tests/regression && bash run-test.sh
+	cd tests/blif && bash run-test.sh
+	cd tests/error && bash run-test.sh
 	@echo
 	@echo 'All tests passed.'
 	@echo
@@ -52,6 +62,8 @@
 	make -C examples/rot clean && make -C examples/rot
 	cd tests/simple && ICEBOX=$(ICEBOX) bash run-test.sh
 	cd tests/regression && bash run-test.sh
+	cd tests/blif && bash run-test.sh
+	cd tests/error && bash run-test.sh
 	cd tests/fsm && bash run-test.sh
 	cd tests/combinatorial && bash run-test.sh
 	@echo
@@ -64,6 +76,12 @@
 	@echo
 	@echo 'All tests passed.'
 	@echo
+
+fuzz-pcf: all
+	afl-fuzz -t 2500 -m 500 -x fuzz/pcf/pcf.dict -i fuzz/pcf/testcases -o fuzz/pcf/findings bin/arachne-pnr -p @@ fuzz/pcf/rot.blif -o /dev/null
+
+fuzz-blif: all
+	afl-fuzz -t 2500 -m 500 -x fuzz/blif/blif.dict -i fuzz/blif/testcases -o fuzz/blif/findings bin/arachne-pnr @@ -o /dev/null
 
 -include src/*.d
 
@@ -82,5 +100,7 @@
 
 .PHONY: clean
 clean:
-	rm -f src/*.o tests/*.o src/*.d tests/*.d bin/arachne-pnr tests/test_bv
+	rm -f src/*.o tests/*.o src/*.d tests/*.d bin/arachne-pnr
+	rm -f tests/test_bv tests/test_us
 	rm -f share/arachne-pnr/*.bin
+	rm -f src/version_*
