=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9),
                fpga-icestorm-chipdb,
                txt2man
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/arachne-pnr.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/arachne-pnr.git
 Homepage: https://github.com/cseed/arachne-pnr
@@ -33,7 +33,7 @@
          arachne-pnr-chipdb,
          yosys,
          fpga-icestorm
-Description: Place and route tool for iCE40 family FGPAs
+Description: Place and route tool for iCE40 family FPGAs
  Arachne-pnr implements the place and route step of the hardware compilation
  process for FPGAs. It accepts as input a technology-mapped netlist in BLIF
  format, as output by the Yosys synthesis suite for example. It currently
