## arachne-pnr 0.1+20160813git52e69ed

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,8 @@
 
 # build optimized without -DNDEBUG
 # OPTDEBUGFLAGS = -O0 -fno-inline -g
-OPTDEBUGFLAGS = -O2 # -DNDEBUG
+# OPTDEBUGFLAGS = -O3 -DNDEBUG
+OPTDEBUGFLAGS = -O2
 SRC = src
 
 # clang only: -Wglobal-constructors
@@ -85,6 +86,22 @@
 
 -include src/*.d
 
+.PHONY: mxebin
+mxebin:
+	$(MAKE) clean
+	rm -rf arachne-pnr-win32
+	rm -f arachne-pnr-win32.zip
+	mkdir -p arachne-pnr-win32
+	$(MAKE) share/arachne-pnr/chipdb-1k.bin share/arachne-pnr/chipdb-8k.bin
+	mv share/arachne-pnr/chipdb-1k.bin arachne-pnr-win32/
+	mv share/arachne-pnr/chipdb-8k.bin arachne-pnr-win32/
+	$(MAKE) clean
+	$(MAKE) CC=/usr/local/src/mxe/usr/bin/i686-w64-mingw32.static-gcc CXX=/usr/local/src/mxe/usr/bin/i686-w64-mingw32.static-g++ bin/arachne-pnr
+	mv bin/arachne-pnr arachne-pnr-win32/arachne-pnr.exe
+	zip -r arachne-pnr-win32.zip arachne-pnr-win32/
+	rm -rf arachne-pnr-win32
+	$(MAKE) clean
+
 .PHONY: install
 install: all
 	mkdir -p $(DESTDIR)/bin
