=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9),
                fpga-icestorm-chipdb,
                txt2man
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/arachne-pnr.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/arachne-pnr.git
 Homepage: https://github.com/cseed/arachne-pnr
@@ -20,7 +20,7 @@
  format, as output by the Yosys synthesis suite for example. It currently
  targets the Lattice Semiconductor iCE40 family of FPGAs. Its output is a
  textual bitstream representation for assembly by the IceStorm icepack command.
- The output of icepack is a binary bitstream which can be uploaded to a harware
+ The output of icepack is a binary bitstream which can be uploaded to a hardware
  device.
  .
  This package contains the binary versions of the chipdb files needed by
@@ -39,7 +39,7 @@
  format, as output by the Yosys synthesis suite for example. It currently
  targets the Lattice Semiconductor iCE40 family of FPGAs. Its output is a
  textual bitstream representation for assembly by the IceStorm icepack command.
- The output of icepack is a binary bitstream which can be uploaded to a harware
+ The output of icepack is a binary bitstream which can be uploaded to a hardware
  device.
  .
  Together, Yosys, arachne-pnr and IceStorm provide an fully open-source
