=== debian/changelog ===
arachne-pnr (0.1+20180513git5d830dd-1ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:33:20 +0100

arachne-pnr (0.1+20180513git5d830dd-1ubuntu1) cosmic; urgency=medium

  * Drop too strict version comparison.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 17 Jul 2018 13:33:32 +0100

arachne-pnr (0.1+20180513git5d830dd-1) unstable; urgency=medium

  * New upstream release
    - Refreshed patches. Dropped some applied upstream
  * debian/control:
    - Depend on newer version of fpga-icestorm-chipdb (>= 0~20180710git6a1bd78)
  * debian/copyright:
    - Main license for upstream project has changed from GPL-2 to MIT
    - Some files still at GPL-2. List them explicitly
  * debian/rules:
    - Replace dpkg-parsechangelog with /usr/share/dpkg/pkg-info.mk
    - Set some environment variables from debian/rules instead of having
      patches for them: ICEBOX, OPTDEBUGFLAGS and PREFIX

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 14 Jul 2018 10:01:51 +0200

arachne-pnr (0.1+20160813git52e69ed-2) unstable; urgency=medium

  * debian/compat: Change to 11
  * debian/control:
    - Change VCS URLs to salsa.debian.org
    - debhelper >= 11
    - New standards version 4.1.5 - no changes
    - Multi-Arch: foreign for arachne-pnr-chipdb
  * debian/patches/0007-Fix-IdLess-compilation-with-gcc8.patch
    - Fix FTBFS with GCC-8 (Closes: #897706)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 12 Jul 2018 20:52:44 +0200
