=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: arachne-pnr
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 Section: electronics
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               fpga-icestorm-chipdb,
+Build-Depends: debhelper (>= 11),
+               fpga-icestorm-chipdb (>= 0~20180710git6a1bd78),
                txt2man
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/arachne-pnr.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/arachne-pnr.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/science-team/arachne-pnr
+Vcs-Git: https://salsa.debian.org/science-team/arachne-pnr.git
 Homepage: https://github.com/cseed/arachne-pnr
 
 Package: arachne-pnr-chipdb
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Chip db files for arachne-pnr
  Arachne-pnr implements the place and route step of the hardware compilation
