=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PREFIX=/usr

CHANGELOG_DATE ?= $(shell LC_ALL=C date -u -d @$(SOURCE_DATE_EPOCH) +"%d %B %Y")

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	$(RM) debian/man/*.1
	$(RM) -r share/

override_dh_auto_build:
	OPTDEBUGFLAGS="-O2 -DNDEBUG" ICEBOX=/usr/share/fpga-icestorm/chipdb dh_auto_build

override_dh_auto_install:
	OPTDEBUGFLAGS="-O2 -DNDEBUG" ICEBOX=/usr/share/fpga-icestorm/chipdb dh_auto_install

override_dh_installman:
	cd debian/man ; CHANGELOG_DATE="$(CHANGELOG_DATE)" ./genmanpages.sh
	dh_installman
