## arachne-pnr 0.1+20180827gitc00a141

=== debian/changelog ===
arachne-pnr (0.1+20180827gitc00a141-1) unstable; urgency=medium

  * New upstream release
    - Refreshed patches. Two patches dropped because they have been
      applied upstream.
  * debian/control: new standards version 4.2.1 - no changes
  * debian/upstream/metadata added
  * debian/watch:
    - Change so that it uses latest GIT HEAD directly since upstream
      does not make regular releases.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 04 Sep 2018 21:06:33 +0200

arachne-pnr (0.1+20180513git5d830dd-3) unstable; urgency=medium

  * Fix lintian 'illegal-runtime-test-name' by renaming test from
    can_show_help to can-show-help.
  * debian/patches/0006-Do-not-add-all-the-flags-to-src-version_xx.c.patch
    - Show debian package version instead of a long string of build flags
      when running "arachne-pnr". This caused problems with version mismatch
      between arachne-pnr and arachne-pnr-chipdb. (Closes: #904144)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 30 Jul 2018 20:19:33 +0200

arachne-pnr (0.1+20180513git5d830dd-2) unstable; urgency=low

  * Upload to unstable
  * d/patches/debian/patches/0005-Fix-build-in-GNU-hurd.patch
    - Use dladdr to find path of executable in GNU hurd
  * debian/tests: Added simple autopkgtest for checking that the executable
    can be started

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 23 Jul 2018 22:16:16 +0200

arachne-pnr (0.1+20180513git5d830dd-2~exp1) experimental; urgency=medium

  * d/patches/0004-Check-for-macro-__FreeBSD_kernel__-in-order-to-solve.patch:
    - Check for macro __FreeBSD_kernel__ in order to attempt fixing FTBFS on
      kfreebsd-* (Closes: #903962)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 17 Jul 2018 16:16:37 +0200
