=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: arachne-pnr
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 Section: electronics
 Priority: optional
 Build-Depends: debhelper (>= 11),
                fpga-icestorm-chipdb (>= 0~20180710git6a1bd78),
                txt2man
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/science-team/arachne-pnr
 Vcs-Git: https://salsa.debian.org/science-team/arachne-pnr.git
 Homepage: https://github.com/cseed/arachne-pnr
