=== debian/changelog ===
arachne-pnr (0.1+20180909git840bdfd-1) unstable; urgency=medium

  * New upstream version
  * debian/control:
    - Bump required build-dependency version of fpga-icestorm to
      '0~20181109git9671b76'

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 20 Dec 2018 11:28:31 +0100
