=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: electronics
 Priority: optional
 Build-Depends: debhelper (>= 11),
-               fpga-icestorm-chipdb (>= 0~20180710git6a1bd78),
+               fpga-icestorm-chipdb (>= 0~20181109git9671b76),
                txt2man
 Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/science-team/arachne-pnr
