=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export PREFIX=/usr
+
+export DEBIAN_VER=$(DEB_VERSION)
 
 CHANGELOG_DATE ?= $(shell LC_ALL=C date -u -d @$(SOURCE_DATE_EPOCH) +"%d %B %Y")
