=== debian/watch ===
version=4
opts=mode=git,\
dversionmangle=s/0\.1\+(\d{8})git([a-f0-9]{7})/0\.0~git$1\.$2/,\
oversionmangle=s/0\.0~git(\d{8})\.([a-f0-9]{7})$/0\.1\+$1git$2/ \
https://github.com/cseed/arachne-pnr.git \
HEAD debian uupdate
