=== debian/changelog ===
arachne-pnr (0.1+20190728gitc40fb22-2) unstable; urgency=medium

  * Team Upload.
  * Drop too strict version comparison
    - This is pulled fro corresponding fix in ubuntu
    - Thank you, Matthias Klose (Closes: #982852)
  * Mark autopkgtest as superficial (Closes: #974438)
  * Enable HOST_CC and HOST_CXX from dpkg buildflags
    - Upstream fixed Makefile in the new upstream version
    - Thank you, Helmut Grohne (Closes: #952971)
  * Declare compliance with policy 4.5.1

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 15 Feb 2021 19:21:33 +0530

arachne-pnr (0.1+20190728gitc40fb22-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * d/patches/0003-Not-Werror.patch was accepted upstream
  * d/control:
    - Standards to 4.5.0 - no changes required
    - Rules-Requires-Root: no
    - Homepage now https://github.com/YosysHQ/arachne-pnr
    - debhelper-compat (13)
  * d/copyright: adjusted source URL
  * d/u/metadata: removed entry 'Name' redundant to d/copyright

 -- Steffen Moeller <moeller@debian.org>  Wed, 02 Sep 2020 16:38:56 +0200
