=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 Section: electronics
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                fpga-icestorm-chipdb (>= 0~20181109git9671b76),
                txt2man
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/arachne-pnr
 Vcs-Git: https://salsa.debian.org/science-team/arachne-pnr.git
-Homepage: https://github.com/cseed/arachne-pnr
+Homepage: https://github.com/YosysHQ/arachne-pnr
+Rules-Requires-Root: no
 
 Package: arachne-pnr-chipdb
 Architecture: all
@@ -34,6 +35,7 @@
          arachne-pnr-chipdb,
          yosys,
          fpga-icestorm
+Suggests: nextpnr
 Description: Place and route tool for iCE40 family FPGAs
  Arachne-pnr implements the place and route step of the hardware compilation
  process for FPGAs. It accepts as input a technology-mapped netlist in BLIF
@@ -45,3 +47,5 @@
  .
  Together, Yosys, arachne-pnr and IceStorm provide an fully open-source
  Verilog-to-bistream tool chain for iCE40 1K and 8K FPGA development.
+ .
+ The authors of arachne-pnr have now prepared its successor 'nextpnr'.
