=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 #export DH_VERBOSE = 1
 
 include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/buildtools.mk
+
+export HOST_CC ?= $(CC_FOR_BUILD)
+export HOST_CXX ?= $(CXX_FOR_BUILD)
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
